<template>
  <div id="app">
    <div class="container">
<div class="row">
  <div class="col-4"></div>
    <div class="col-4 p-0">
      <div class="row">
        <div class="col-12">
          <input type="text" name="output" class="form-control text-center" :placeholder="output" disabled>
        </div>
      </div>
      <div class="row">
        <div class="col-6 container-fluid p-1" style="padding-left:0px!important;padding-right:0px!important;">
          <button class="btn btn-warning" style="width:100%;" v-on:click="clear">C</button>
        </div>
        <div class="col-6 container-fluid p-1">
          <button class="btn btn-danger" style="width:100%;" v-on:click="remove">Del</button>
        </div>
      </div>
      <div class="row">
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('7')">7</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('8')">8</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('9')">9</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-warning" style="width:100%;" v-on:click="multiplication">X</button>
        </div>
      </div>
      <div class="row">
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('4')">4</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('5')">5</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('6')">6</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-warning" style="width:100%;" v-on:click="substraction">-</button>
        </div>
      </div>
      <div class="row">
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('1')">1</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('2')">2</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('3')">3</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-warning" style="width:100%;" v-on:click="addition">+</button>
        </div>
      </div>
      <div class="row">
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="append('0')">0</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="dot('.')">.</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-primary" style="width:100%;" v-on:click="division">/</button>
        </div>
        <div class="col-3 container-fluid p-1">
          <button class="btn btn-success" style="width:100%;" v-on:click="equal">=</button>
        </div>
      </div>
</div>
<div class="col-4"></div>
</div>

    </div>
  </div>
</template>

<script>
export default {
  name: 'app',
  data () {
    return {
      output:'',
      clicked:false,
      prevalue:null,
      operator:null
    }
  },
  methods:
  {
    clear()
    {
      this.output='';
    },
    remove()
    {
      this.output=this.output.slice(0,-1);
    },
    append(num)
    {
      if(this.clicked)
      {
        this.output='';
        this.clicked=false;
      }
      this.output=this.output.concat(num);
    },
    dot(num)
    {
      if(this.output.indexOf('.')===-1)
      {
        this.append(num);
      }
    },
    setPrevalue()
    {
        this.prevalue=this.output;
        this.clicked=true;
    },
    addition()
    {
      this.operator=(a,b)=>a+b;
      this.setPrevalue();
    },
    substraction()
    {
      this.operator=(a,b)=>a-b;
      this.setPrevalue();
    },
    multiplication()
    {
      this.operator=(a,b)=>a*b;
      this.setPrevalue();
    },
    division()
    {
      this.operator=(a,b)=>a/b;
      this.setPrevalue();
    },
    equal()
    {
      this.output=this.operator(parseFloat(this.prevalue),parseFloat(this.output));
      this.prevalue='';
    }
  }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
